# Class CIM_LogicalDiskBasedOnVolume
extends CIM_LogicalDiskBasedOnExtent

LogicalDisks can be BasedOn a single Volume (for example, exposed by a software volume manager), or be BasedOn a Disk Partition directly. The former relationship is made explicit in this association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_BasedOn
|
+--CIM_LogicalDiskBasedOnExtent
|
+--CIM_LogicalDiskBasedOnVolume

## Direct Known Subclasses

CIM_LogicalDiskBasedOnVolumeSet

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | LogicalDisks can be BasedOn a single Volume (for example, exposed by a software volume manager), or be BasedOn a Disk Partition directly. The former relationship is made explicit in this association.
UMLPackagePath | string | CIM::Device::StorageExtents
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_LogicalDiskBasedOnVolume | CIM_StorageVolume
Dependent | CIM_LogicalDiskBasedOnVolume | CIM_LogicalDisk

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
EndingAddress | uint64 | CIM_BasedOn
OrderIndex | uint16 | CIM_BasedOn
StartingAddress | uint64 | CIM_BasedOn

## Class Methods